Subject: Re: Arrangements for WG5 and J3 meetings at Warwick University June 2026

From: "Brady, Christopher" <[email-masked]>
Date: Tue, 3 Mar 2026 11:55:05 +0000

Hello all,

I am afraid that when people have tried to book rooms for the WG5 J3 meetings at the University of Warwick in June they have been unable to book on Campus rooms. I have spoken to our accommodation team and unfortunately it seems that no rooms are available for the 17th June. I can only apologise for this and say that I was not warned that there might be a problem when I discussed this with them earlier.

At this point the best I can do is suggest other hotels in the area that do have rooms available over the period. Most of these hotels are one to three miles from campus so walking is possible if you wish, but they are about 10-20 minutes by bus or 5-15 minutes by car or taxi. All of them are good hotels with at least 4 star reviews.

  1.
The Village Hotel Coventry https://www.village-hotels.co.uk/coventry
  2.
Premier Inn Coventry South (A45) (There are several Premier Inns in Coventry. This is the most conveniently located) https://www.premierinn.com/gb/en/hotels/england/west-midlands/coventry/coventry-south-a45.html
  3.
The Old Mill Hotel https://www.chefandbrewer.com/pubs/west-midlands/old-mill

An option if driving or taking Taxis is the Windmill Village Hotel (https://www.windmillvillagehotel.co.uk/)

I had already suggested some hotels and the Holiday Inn in Kenilworth (https://www.ihg.com/holidayinn/hotels/gb/en/kenilworth/cvtkw/hoteldetail) still has rooms available for the period. This hotel is very easy to travel from to the university campus by bus, car or taxi.

If you intend to drive to and park at the university I would strongly recommend prebooking parking at https://warwick.ac.uk/about/campus-journey/mode-of-travel/car-parking/general_parking/

If you have any questions or specific requirements, please do contact me.

Once again, I am very sorry for any inconvenience caused,

Chris Brady
University of Warwick

________________________________
From: Brady, Christopher <[email-masked]>
Sent: 19 January 2026 10:59 AM
To: General J3 interest list <[email-masked]>; WG5 List <[email-masked]>; [email-masked] <[email-masked]>
Subject: Arrangements for WG5 and J3 meetings at Warwick University June 2026

Dear all,

Please find attached the organisation details for the WG5 and J3 meetings at the University of Warwick, UK in June 2026. If you have any questions, please contact me at this email address.

Many thanks,

Chris Brady